// import ElementUI from 'element-ui'
// import UmyUi from 'umy-ui'
// import 'element-ui/lib/theme-chalk/index.css'
// import 'umy-ui/lib/theme-chalk/index.css'
import hsButton from './hs-button'
import hsButtonGroup from './hs-button-group'
import hsCarousel from './hs-carousel'
import hsCascader from './hs-cascader'
import hsCheckbox from './hs-checkbox'
import hsCheckboxGroup from './hs-checkbox-group'
import hsComponentShell from './hs-component-shell'
import hsComputed from './hs-computed'
import hsDatePicker from './hs-date-picker'
import hsDialog from './hs-dialog'
import hsDivider from './hs-divider'
import hsDragList from './hs-drag-list'
import hsDyncForm from './hs-dync-form'
import hsFile from './hs-file'
import hsGantt from './hs-gantt'
import hsIframeDialog from './hs-iframe-dialog'
import hsImg from './hs-img'
import hsInput from './hs-input'
import hsInputNumber from './hs-input-number'
import hsInputSelect from './hs-input-select'
import hsIsoneditor from './hs-jsoneditor'
import hsLineBar from './hs-line-bar'
import hsLookup from './hs-lookup'
import hsPopoverTextarea from './hs-popover-textarea'
import hsQrcode from './hs-qrcode'
import hsRadio from './hs-radio'
import hsRate from './hs-rate'
import hsSelectList from './hs-select-list'
import hsSelectPlus from './hs-select-plus'
import hsStatusGroup from './hs-status-group'
import hsSwitch from './hs-switch'
import hsTable from './hs-table'
import hsTabs from './hs-tabs'
import hsTags from './hs-tags'
import hsTagsForm from './hs-tags-form'
import hsTagsSelect from './hs-tags-select'
import hsTagsTable from './hs-tags-table'
import hsTree from './hs-tree'
import themePicker from './themePicker'
import hsActionSet from './hs-action-set'
import hsDialogTable from './hs-dialog-table'
import hsDialogDyncForm from './hs-dialog-dyncform'
import hsDialogIframepage from './hs-dialog-iframepage'
import hsDialogRejactPromptTextarea from './hs-dialog-rejact-prompt-textarea'
import hsUploadExcel from './hs-upload-excel'
import hsTimePicker from './hs-time-picker'
import hsContextmenu from './hs-contextmenu'
import Contextmenu from 'vue-contextmenujs'
export default {
  install(Vue) {
    // Vue.use(ElementUI)
    // Vue.use(UmyUi)
    Vue.use(Contextmenu)
    Vue.use(hsButton)
    Vue.use(hsButtonGroup)
    Vue.use(hsCarousel)
    Vue.use(hsCascader)
    Vue.use(hsCheckbox)
    Vue.use(hsCheckboxGroup)
    Vue.use(hsComponentShell)
    Vue.use(hsComputed)
    Vue.use(hsDatePicker)

    Vue.use(hsDialog)
    Vue.use(hsDivider)
    Vue.use(hsDragList)
    Vue.use(hsDyncForm)
    Vue.use(hsFile)
    Vue.use(hsGantt)
    Vue.use(hsIframeDialog)
    Vue.use(hsImg)
    Vue.use(hsInput)
    Vue.use(hsInputNumber)

    Vue.use(hsInputSelect)
    Vue.use(hsIsoneditor)
    Vue.use(hsLineBar)
    Vue.use(hsLookup)
    Vue.use(hsPopoverTextarea)
    Vue.use(hsQrcode)
    Vue.use(hsRadio)
    Vue.use(hsRate)
    Vue.use(hsSelectList)
    Vue.use(hsSelectPlus)

    Vue.use(hsStatusGroup)
    Vue.use(hsSwitch)
    Vue.use(hsTable)
    Vue.use(hsTabs)
    Vue.use(hsTags)
    Vue.use(hsTagsForm)
    Vue.use(hsTagsSelect)
    Vue.use(hsTagsTable)
    Vue.use(hsTree)
    Vue.use(hsActionSet)
    Vue.use(themePicker)
    Vue.use(hsDialogTable)
    Vue.use(hsDialogDyncForm)
    Vue.use(hsDialogIframepage)
    Vue.use(hsDialogRejactPromptTextarea)
    Vue.use(hsUploadExcel)
    Vue.use(hsTimePicker)
    Vue.use(hsContextmenu)
  }
}
